Bug 1671171 (auryn) - Review Request: auryn - Plastic Recurrent Network Simulator
Summary: Review Request: auryn - Plastic Recurrent Network Simulator
Keywords:
Status: CLOSED ERRATA
Alias: auryn
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
neuro-sig
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-01-31 00:01 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-03-01 02:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Auryn, a new simulator is now available in Fedora. A page needs to be added to neuro.fp.o to document how its two MPI variants are to be used, similar to NEST.
Clone Of:
Environment:
Last Closed: 2019-03-01 02:38:13 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2019-01-31 00:01:56 UTC
Spec URL: https://ankursinha.fedorapeople.org/auryn/auryn.spec
SRPM URL: https://ankursinha.fedorapeople.org/auryn/auryn-0.8.1-1.fc29.src.rpm

Description: 
Auryn is a source package used to create highly specialized and optimized code
to simulate recurrent spiking neural networks with spike timing dependent
plasticity (STDP).


Fedora Account System Username: ankursinha

Comment 1 Robert-André Mauchin 2019-02-16 03:02:29 UTC
 - The documentation package should be noarch

%if %{with doc}
%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  /usr/bin/dot


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 147 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/auryn/review-auryn/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: auryn-mpich (description), auryn-openmpi
     (description)
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: auryn-mpich-devel, auryn-openmpi-devel.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in auryn-
     doc , auryn-mpich , auryn-mpich-devel , auryn-openmpi , auryn-openmpi-
     devel , auryn-debuginfo , auryn-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 185128960 bytes in /usr/share
     auryn-doc-0.8.1-1.fc30.x86_64.rpm:184965120
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: auryn-doc-0.8.1-1.fc30.x86_64.rpm
          auryn-mpich-0.8.1-1.fc30.x86_64.rpm
          auryn-mpich-devel-0.8.1-1.fc30.x86_64.rpm
          auryn-openmpi-0.8.1-1.fc30.x86_64.rpm
          auryn-openmpi-devel-0.8.1-1.fc30.x86_64.rpm
          auryn-debuginfo-0.8.1-1.fc30.x86_64.rpm
          auryn-debugsource-0.8.1-1.fc30.x86_64.rpm
          auryn-0.8.1-1.fc30.src.rpm
auryn-doc.x86_64: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
auryn-mpich.x86_64: W: summary-not-capitalized C auryn built with mpich
auryn-mpich.x86_64: W: unexpanded-macro %description -l C %{_description}
auryn-mpich.x86_64: W: no-documentation
auryn-mpich-devel.x86_64: W: no-documentation
auryn-openmpi.x86_64: W: summary-not-capitalized C auryn built with openmpi
auryn-openmpi.x86_64: W: unexpanded-macro %description -l C %{_description}
auryn-openmpi.x86_64: W: no-documentation
auryn-openmpi-devel.x86_64: W: no-documentation
8 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 2 Ankur Sinha (FranciscoD) 2019-02-16 17:11:43 UTC
Thanks for the review Robert. I've updated the spec and enabled unit tests.

Updated spec/srpm:

https://ankursinha.fedorapeople.org/auryn/auryn-0.8.1-3.fc29.src.rpm
https://ankursinha.fedorapeople.org/auryn/auryn.spec

Cheers,
Ankur

Comment 3 Robert-André Mauchin 2019-02-16 22:19:20 UTC
Package approved.

Comment 4 Ankur Sinha (FranciscoD) 2019-02-17 11:58:18 UTC
Thanks very much. SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/9751

Comment 5 Igor Gnatenko 2019-02-17 12:56:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/auryn

Comment 6 Ankur Sinha (FranciscoD) 2019-02-19 15:13:00 UTC
Unable to add bug to the bodhi update currently, so closing this.

https://github.com/fedora-infra/bodhi/issues/3024

Comment 7 Fedora Update System 2019-02-21 09:07:53 UTC
auryn-0.8.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb3b8e1c2c

Comment 8 Fedora Update System 2019-03-01 02:38:13 UTC
auryn-0.8.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.